Kepler - Bug #2888

Minimize number of 'constant’ actors
07/11/2007 02:18 PM - Dan Higgins
Description

Current Kepler has 2 types of Constant actors (Constant and SingleFireConstant) and 2 different 'StringConstant' actors
(PermanentStringConstant and StringConstant). In both cases, the primary difference is the number of times the actor 'fires'.

Ptolemy has now changed the behavior of its Constant actor to have a 'firingCountLimit' parameter. There is thus no need for the two
types of 'constant’ actors in Kepler (which have tended to confuse several users).

Note also that Ptolemy extends 'Const' to create 'StringConstant'. Kepler, however, does not! And Kepler's StringConstant has added
a File parameter to StringConstant so that file name strings can be easily created.

We should change the StringConstant in Kepler to extend Constant AND add the File parameter.

History

#1 - 07/30/2007 11:36 AM - Dan Higgins

Number of constant actors has been reduced to 'Constant' and 'StringConstant’, both of which now have a 'firingCountLimit' parameter that can be
used to limit number of times an actor fires (following the Ptolemy updates).

#2 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2888
